<%@ page language="java" pageEncoding="utf-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>阅卷平台高校版</title>
    <link href="${ctxStatic}/mark-new/css/bootstrap.css" rel="stylesheet" type="text/css"/>
    <link href="${ctxStatic}/mark-new/css/style.css" rel="stylesheet" type="text/css"/>
    
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/json2.js"></script>
    
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery-ui.min.js "></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery.mousewheel.min.js"></script>
    
    <script type="text/javascript" src="${ctxStatic}/iviewer/jquery.iviewer.js"></script>
    <link rel="stylesheet" href="${ctxStatic}/iviewer/jquery.iviewer.css" rel="stylesheet"/>
    
    <script src="${ctxStatic}/perfect-scrollbar/min/perfect-scrollbar.min.js"></script>
    <link href="${ctxStatic}/perfect-scrollbar/min/perfect-scrollbar.min.css" rel="stylesheet">
    
    <script src="${ctxStatic}/i18n/jquery.i18n.properties.js" type="text/javascript"></script>
    <script src="${ctxStatic}/i18n/load.js" type="text/javascript"></script>
    <script src="${ctxStatic}/rich-text/js/render.js"></script>
    <link href="${ctxStatic}/rich-text/css/rich-text.css" rel="stylesheet">
    <script type="text/javascript" src="${ctxStatic}/viewer/viewer.js"></script>
    <link href="${ctxStatic}/viewer/viewer.css" rel="stylesheet">
    
    <script type="text/javascript" src="${ctxStatic}/mark-json/js/mark-control.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-json/js/json-view.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-json/js/json-loader.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/task-control.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/mark-board.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/mark-history.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/header-mark-status.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/warning-info.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/thumbnail.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/view-sidebar.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/arbitration-process.js"></script>
</head>
<body>
<div class="container-fluid" id="container"></div>
<script type="text/javascript">
    $(document).ready(function () {
        var mc = new MarkControl({
            container: $('#container'),
            staticServer: '${ctxStatic}',
            imageServer: '${fileServer}',
            userName: '${web_user.name}',
            logoutTitle: '关闭',
            logoutUrl: 'javascript:window.close()',
            clearUrl: '${ctx}/admin/exam/arbitrate/clear',
            modules: {
                'json-loader': {
                    jsonServer: '${fileServer}'
                },
                'json-view': {},
                'header-mark-status': {
                    title: '${subject.code}_${subject.name}_${group.title}'
                },
                'mark-history': {
                    pageSize: 10
                },
                'mark-board': {
                    showScoreBoard: false,
                    autoSubmit: false,
                    needConfirm: false
                },
                'arbitration-process': {},
                'warning-info': {}
            }
        });
        mc.start({
            mode: 'loop',
            statusUrl: '${ctx}/admin/exam/arbitrate/status?subjectCode=${group.subjectCode}&groupNumber=${group.number}',
            getUrl: '${ctx}/admin/exam/arbitrate/getTask?subjectCode=${group.subjectCode}&groupNumber=${group.number}',
            historyUrl: '${ctx}/admin/exam/arbitrate/history/${group.subjectCode}/${group.number}',
            submitUrl: '${ctx}/admin/exam/arbitrate/saveTask',
            clearUrl: '${ctx}/admin/exam/arbitrate/clear'
        });
    });
</script>
</body>
</html>